#include <iostream>
#include <vector>
using namespace std;
int main(int argc, char** argv) {
	ios_base::sync_with_stdio(false);
	cin.tie(NULL);
	int n,q;
	cin >>n>>q;
	vector<pair<int,int> > v(n);
	
	for(int i=0;i<n;i++)
	{
		cin >>v[i].first>>v[i].second;
	}
	
	for(int z=0;z<q;z++)
	{
		int l,r,x;
		cin >>l>>r>>x;
		l--;
		r--;
		int br=0;
		for(l;l<=r;l++)
		{
			if(x>=v[l].first && x<=v[l].second)
			{
				br++;
			}
		}
		cout <<br<<"\n";
	}
	
	
	return 0;
}